/* Derlemek icin gcc -o program_ismi 3.c */

#include <stdio.h>
#include <stdlib.h>

int power(int m, int n)
{
	
	int p=1;
	int i;
	for (i=1; i<=n; i++)
	    p*=m;                    //p=p*m;
	  
	return p;
}


int main()
{	
	int a, b;
	
	printf("Calculating a^b: \n");
	printf("Enter the values of a and b: \n");
	
	scanf("%d %d", &a, &b);
	
	printf("%d^%d = %d\n", a, b, power(a,b));
	
	system("pause");
	
	return 0;
}
